Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1979611 - linking errors
Summary: linking errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vtk
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-06 14:15 UTC by Philippe Makowski
Modified: 2022-07-05 16:38 UTC (History)
4 users (show)

Fixed In Version: vtk-9.1.0-12.fc36
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-08 00:25:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Philippe Makowski 2021-07-06 14:15:21 UTC
Description of problem:
We are building an executable and a library with part of vtk.
The library is wrongly linked to libvtkWrappingPythonCore
and is not linked to libpython3.9.so.1.0, so we get a :
"/lib64/libvtkWrappingPythonCore.so.1: undefined symbol: PyExc_ValueError" when we try to load our library.

The executable and the library are using the same code base, but the executable have also a main.cpp.
 
Version-Release number of selected component (if applicable):
vtk-9.0.1-8.fc34.src.rpm

Actual results:
for the executable:
ldd exe_name | grep ython

libvtkPythonContext2D.so.1 => /lib64/libvtkPythonContext2D.so.1
libvtkPythonInterpreter.so.1 => /lib64/libvtkPythonInterpreter.so.1
libvtkFiltersPython.so.1 => /lib64/libvtkFiltersPython.so.1
libvtkCommonPython.so.1 => /lib64/libvtkCommonPython.so.1
libvtkWrappingPythonCore.so.1 => /lib64/libvtkWrappingPythonCore.so.1
libpython3.9.so.1.0 => /lib64/libpython3.9.so.1.0  

for the library:
ldd lib_name.so | grep ython

libvtkPythonContext2D.so.1 => /lib64/libvtkPythonContext2D.so.1
libvtkPythonInterpreter.so.1 => /lib64/libvtkPythonInterpreter.so.1
libvtkFiltersPython.so.1 => /lib64/libvtkFiltersPython.so.1
libvtkCommonPython.so.1 => /lib64/libvtkCommonPython.so.1
libvtkWrappingPythonCore.so.1 => /lib64/libvtkWrappingPythonCore.so.1

Expected results:
ldd lib_name.so | grep ython
(nothing)

or (eventually)
ldd lib_name.so | grep ython

libvtkPythonContext2D.so.1 => /lib64/libvtkPythonContext2D.so.1
libvtkPythonInterpreter.so.1 => /lib64/libvtkPythonInterpreter.so.1
libvtkFiltersPython.so.1 => /lib64/libvtkFiltersPython.so.1
libvtkCommonPython.so.1 => /lib64/libvtkCommonPython.so.1
libvtkWrappingPythonCore.so.1 => /lib64/libvtkWrappingPythonCore.so.1
libpython3.9.so.1.0 => /lib64/libpython3.9.so.1.0  


Additional info:
doing the same build under Ubuntu 21.04 (and also with gcc-11)
we get :

ldd exe_name | grep ython
libvtkPythonContext2D-9.0.so.1 => /lib/x86_64-linux-gnu/libvtkPythonContext2D-9.0.so.1
libvtkPythonInterpreter-9.0.so.1 => /lib/x86_64-linux-gnu/libvtkPythonInterpreter-9.0.so.1
	libvtkFiltersPython-9.0.so.1 => /lib/x86_64-linux-gnu/libvtkFiltersPython-9.0.so.1
	libvtkCommonPython-9.0.so.1 => /lib/x86_64-linux-gnu/libvtkCommonPython-9.0.so.1
	libvtkWrappingPythonCore-9.0.so.1 => /lib/x86_64-linux-gnu/libvtkWrappingPythonCore-9.0.so.1
	libpython3.9.so.1.0 => /lib/x86_64-linux-gnu/libpython3.9.so.1.0

ldd lib_name.so | grep ython
(nothing)

note the main.cpp have:

#include <iostream>
#include <vector>
#include <string>
#include <sstream>
#include <cmath>
#include <chrono>

#include "fragment/Fragment.hpp"
#include "tools/Infos.hpp"
#include "input/Input.hpp"
#include "tools/VtkReader.hpp"
#include "API/API.hpp"
#include "gasmodel/GasModel.hpp"
#include "tools/GeometryHelpers.hpp"
#include "fragment/solid/Solid.hpp"
#include "vtkUnstructuredGrid.h"
#include "vtkSmartPointer.h"

Thanks

Comment 1 Ben Cotton 2022-05-12 16:21:33 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 2 Ben Cotton 2022-06-08 00:25:10 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Fedora Update System 2022-06-26 04:02:45 UTC
FEDORA-2022-534ec0a6cf has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-534ec0a6cf

Comment 4 Fedora Update System 2022-06-27 01:11:26 UTC
FEDORA-2022-534ec0a6cf has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-534ec0a6cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-534ec0a6cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-07-05 16:38:03 UTC
FEDORA-2022-534ec0a6cf has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.